package com.patzn.lims.res.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.res.entity.LmsCarInfo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-03-26
 */
public interface ILmsCarInfoService extends IBaseService<LmsCarInfo> {


    Page<LmsCarInfo> page(Page<LmsCarInfo> page, LmsCarInfo lmsCarInfo);


    boolean setStopStart(Long id, Integer status);


    List<LmsCarInfo> list(LmsCarInfo lmsCarInfo);


    boolean saveCar(LmsCarInfo lmsCarInfo);


    boolean updateCarById(LmsCarInfo lmsCarInfo);

}
